%
% anyremote configuration file for quodlibet management (Server-mode Bemused emulation)
% Prerequisites: amixer/pactl utility, Bemused client installed on cell phone
%
%

% STATUS stable
% XTEST no
% SOUND mixer
% ENV no

GuiAppName=Quodlibet
GuiAppBinary=quodlibet
GuiAppRun= A=`ps -ef|grep quodlibet|grep -v grep`; if [ "x$A" = "x" ]; then echo NOK; else echo OK; fi
GuiAppIcon=quodlibet.png
GuiAppType=Application
GuiAppProtocols=Bemused
GuiAppDesc=Quod Libet is a GTK+-based audio player written in Python. It's designed around the idea that you know how to organize your music better than we do

[Protocol]=Bemused

(Init)=\
	Include($(CfgDir)/Utils/aliases-bemused.cfg);\
	Macro(BEMUSED_SETUP);\
	Macro(SETUP_DEFAULT_MIXER);
	
(Connect)=\
	Make(mode,quodlibet);

[Mode]=quodlibet

(EnterMode)=\
	Exec(P=`ps -ef|grep quodlibet|grep -v grep|grep -v quodlibet.cfg`; if [ "x$P" = "x" ]; then quodlibet & fi);

EXIT=Exec(quodlibet --quit)
FFWD=Exec(quodlibet --seek=+10)
INF2=Send(string,INF2ACK);\
	Send(bytes,128,0,0,0,128,0,0,0,1,0,0);\
	ExecAndSend(string,quodlibet --print-playing);\
	Send(bytes,0,0)
INFO=Send(string,INFOACK);\
	Send(bytes,128,0,0,0,128,0,0,0,1,0,0);\
	ExecAndSend(string,quodlibet --print-playing)
NEXT=Exec(quodlibet --next)
PAUS=Exec(quodlibet  --play-pause)
PLAY=Exec(quodlibet --play)
PREV=Exec(quodlibet --previous)
RWND=Exec(quodlibet --seek=-10)
STOP=Exec(quodlibet  --play-pause)
VOLM($$)=Make(var,default_mixer_value,by_value,$(Param)%);Macro(DEFAULT_VOLUME_SET)

GVOL=Macro(DEFAULT_GVOL);
FADE=Macro(DEFAULT_FADE);
PLEN=Macro(DEFAULT_PLEN);
PLST=Macro(DEFAULT_PLST);

%REPT=Exec()
%SHFL=Exec()
%SEEK=
%SLCT=


[ModeEnd]

[End]
